Bug 837044 - add php(language) virtual provide
add php(language) virtual provide
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php53 (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Web Stack Team
David Kutálek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 11:10 EDT by Joe Orton
Modified: 2013-09-30 18:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 837042
Environment:
Last Closed: 2013-09-30 18:12:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2012-07-02 11:10:15 EDT
+++ This bug was initially created as a clone of Bug #837042 +++

Description of problem:
Third-party (e.g. EPEL) and Fedora packaging requires a "virtual" provide for the PHP language version, independent of the specific php packages which are installed.  We are using "php(language) = version" for this; this should be added to the php packages in Red Hat Enterprise Linux so third-party packagers can produce consistently packaged PHP libraries (and web applications) for Fedora and RHEL.

Version-Release number of selected component (if applicable):
php-5.3.3-14.el6_3

How reproducible:
always

Steps to Reproduce:
1. rpm -q --provides php-common | grep 'php(language)'
  
Actual results:
nada

Expected results:
5.3.3
Comment 1 RHEL Product and Program Management 2012-07-02 11:27:50 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2013-04-04 08:39:30 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 9 errata-xmlrpc 2013-09-30 18:12:20 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1307.html

Note You need to log in before you can comment on or make changes to this bug.